import { writable } from 'svelte/store';
import { v4 as uuid } from 'uuid';
const b1 = uuid();
const b2 = uuid();
const b3 = uuid();
const b4 = uuid();
const b5 = uuid();
const now = new Date();
const innitialBlocks = [
    {
        id: b1,
        type: 'text',
        properties: {
            text: 'Text Block 1',
            tag: 'p',
        },
        parent: null,
        content: [b2, b3],
        tc: now,
        tm: now,
    },
    {
        id: b2,
        type: 'text',
        properties: {
            text: 'Child Block',
            tag: 'p',
        },
        parent: b1,
        content: [],
        tc: now,
        tm: now,
    },
    {
        id: b3,
        type: 'text',
        properties: {
            text: 'Child Block 2',
            tag: 'p',
        },
        parent: b1,
        content: [],
        tc: now,
        tm: now,
    },
    {
        id: b4,
        type: 'timer',
        properties: {
            text: 'Timer Block',
            start: new Date('2021-01-01T00:00:00.000Z'),
            end: new Date('2021-01-01T00:00:30.000Z'),
        },
        parent: null,
        content: [],
        tc: now,
        tm: now,
    },
    {
        id: b5,
        type: 'text',
        properties: {
            text: 'Text Block 3',
            tag: 'p',
        },
        parent: null,
        content: [b2, b3],
        tc: now,
        tm: now,
    },
];
export const blocks = writable(innitialBlocks);
// export const renderedBlocks: Writable<Block[]> = writable([])
