import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        color: string;
        size?: string | undefined;
        random?: boolean | undefined;
        randomDir?: "left" | "right" | "top" | "bottom" | undefined;
        border?: boolean | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type ColorPickerV2Props = typeof __propDef.props;
export type ColorPickerV2Events = typeof __propDef.events;
export type ColorPickerV2Slots = typeof __propDef.slots;
/**
 * A stylized color picker that can be used to select a color and bind it to a variable.
 * ### Props:
 * - `color` {string} - The color to be displayed in the picker. Can be a hex value or a CSS color name.
 * - `size` {string} - The size of the picker (width & height) with units (rem, em, px). Pass in as string. (ex: '2rem')
 * - `random` {boolean} = true - Whether or not to display the random color picker button.
 * - `direction` {string} = 'right' - The direction the random color should appear on hover. (top, bottom, left, right)
 * - `border` {boolean} = false - Whether or not to display a border around the picker.
 */
export default class ColorPickerV2 extends SvelteComponentTyped<ColorPickerV2Props, ColorPickerV2Events, ColorPickerV2Slots> {
}
export {};
